=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 		USE_LDAP=true \
 		USE_LIBCURL=true \
 		USE_AUTHPAM=true \
-		USE_FIPSCHECK=false \
 		$(ENABLE_LIBCAP_NG) \
 		$(ENABLE_SELINUX) \
 		USE_DH31=$(CV25519_AVAILABILITY) \
