## libreswan 4.9

=== debian/changelog ===
libreswan (4.9-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 21:33:45 -0800

libreswan (4.9-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * New upstream release
    - upstream fixed LTO (Closes: #1015517)
  * d/upstream/signing-key.asc: update with better bindings
  * Standards-Version: bump to 4.6.2 (no changes needed)

  [ Vagrant Cascadian ]
  * debian/rules: Pass OBJDIR to avoid embedding hostname. (Closes: #1020736)

  [ Daniel Kahn Gillmor ]
  * refresh patches
  * d/copyright: remove reference to upstream-deleted BSDKAME code
  * update lintian overrides
  * d/copyright: update years to relevant years

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Jan 2023 17:41:25 -0500

libreswan (4.7-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:50:52 +0000
