=== debian/changelog ===
libreswan (4.10-2+deb12u1) bookworm; urgency=medium

  * Fix CVE-2023-30570 (Closes: #1035542)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Jun 2023 18:15:28 -0400

libreswan (4.10-2) unstable; urgency=medium

  * Reach NSPR mipsel workaround for #854472

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 Mar 2023 16:34:25 -0500

libreswan (4.10-1) unstable; urgency=medium

  * new upstream version
    - fixes CVE-2023-23009 (Closes: #1031821)
    - fixes some IKEv1 overdeletion

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Mar 2023 10:04:35 -0500

libreswan (4.9-2) unstable; urgency=medium

  * Fix CVE-2023-23009
    (this is an attempted fix, upstream has not confirmed it yet
    at https://github.com/libreswan/libreswan/issues/954)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Feb 2023 15:13:07 -0500
