=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 DEBIAN_LIBRESWAN_BUILD_FLAGS = \
 		ARCH=$(DEB_HOST_ARCH) \
+		OBJDIR=OBJ.$(DEB_HOST_ARCH_OS).$(DEB_HOST_ARCH) \
 		IPSECVERSION=$(DEB_VERSION_UPSTREAM) \
 		PREFIX=/usr \
 		FINALLIBEXECDIR=/usr/libexec/ipsec \
