## libreswan 4.11

=== debian/changelog ===
libreswan (4.11-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Jun 2023 00:02:12 -0700

libreswan (4.11-1) unstable; urgency=medium

  * New upstream version
    - fixes CVE-2023-30570 (Closes: #1035542)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Jun 2023 17:53:00 -0400

libreswan (4.10-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 12:42:03 +0200
