=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
-Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/debian/libreswan.git
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
