## libreswan 4.12

=== debian/changelog ===
libreswan (4.12-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/tests/control: make opportunistic and cavp skippable if builder
      doesn't have access to internet.
    - d/tests/opportunistic: if ping or wget fails then exit 77 to skip
      the test.
    - d/tests/cavp: if wget fails then exit 77 to skip the test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 Nov 2023 21:17:27 -0800

libreswan (4.12-1) unstable; urgency=medium

  * New upstream version
   - fixes CVE-2023-38710
   - fixes CVE-2023-38711
   - fixes CVE-2023-38712
  * Move from libcurl4-nss to libcurl4-gnutls (Closes: #1038912)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Aug 2023 11:15:45 -0400
