## libreswan 4.12.1

=== debian/changelog ===
libreswan (4.12.1-1deepin2) unstable; urgency=medium

  * Add patch for deepin build

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 12 Jan 2024 11:21:57 +0800
